<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Calculate Percentage and Significance of Deviance Explained by a GLM</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for deviancepercentage {BiodiversityR}"><tr><td>deviancepercentage {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Calculate Percentage and Significance of Deviance Explained by a GLM</h2>


<h3>Description</h3>

<p>
This function calculates the percentage of deviance explained by a GLM model and calculates the significance of the model.
</p>


<h3>Usage</h3>

<pre>
deviancepercentage(x,data,test="F",digits=2)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Result of GLM as calculated by <code><a href="../../stats/html/glm.html">glm</a></code> or <code><a href="../../MASS/html/glm.nb.html">glm.nb</a></code>. </td></tr>
<tr valign="top"><td><code>data</code></td>
<td>
Data set to be used for the null model (preferably the same data set used by the 'full' model). </td></tr>
<tr valign="top"><td><code>test</code></td>
<td>
Test statistic to be used for the comparison between the null model and the 'full' model as estimated by <code><a href="../../stats/html/anova.glm.html">anova.glm</a></code> or <code><a href="../../MASS/html/anova.negbin.html">anova.negbin</a></code>: partial match of one of "Chisq", "F" or "Cp". </td></tr>
<tr valign="top"><td><code>digits</code></td>
<td>
Number of digits in the calculation of the percentage. </td></tr>
</table>

<h3>Details</h3>

<p>
The function calculates the percentage of explained deviance and the significance of the 'full' model by contrasting it with the null model.
</p>
<p>
For the null model, the data is subjected to <code><a href="../../stats/html/na.fail.html">na.omit</a></code>. You should check whether the same data are used for the null and 'full' models.
</p>


<h3>Value</h3>

<p>
The function calculates the percentage of explained deviance and the significance of the 'full' model by contrasting it with the null model by ANOVA. The results of the ANOVA are also provided.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune)
data(dune.env)
dune.env$Agrsto&lt;- dune$Agrsto
Count.model1 &lt;- glm(Agrsto ~ Management + A1, family=quasipoisson(link=log), 
    data=dune.env, na.action=na.omit)
summary(Count.model1)
deviancepercentage(Count.model1,dune.env)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
